org.apache.xmlgraphics.xmp

## Class XMPArrayType

- java.lang.Object
- - org.apache.xmlgraphics.xmp.XMPArrayType

-     public final class XMPArrayType
      extends java.lang.Object

  Enum class for XMP array types.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XMPArrayType` | `ALT` the alternative array
    `static XMPArrayType` | `BAG` the unordered array
    `static XMPArrayType` | `SEQ` the ordered array

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BAG

          public static final XMPArrayType BAG

      the unordered array

    - #### SEQ

          public static final XMPArrayType SEQ

      the ordered array

    - #### ALT

          public static final XMPArrayType ALT

      the alternative array

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns:
        the name of the enum

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      See Also:
        `Object.toString()`

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.